head	1.5;
access;
symbols;
locks; strict;
comment	@# @;


1.5
date	95.01.05.02.36.03;	author rjj;	state Exp;
branches;
next	1.4;

1.4
date	94.11.14.21.50.02;	author rjj;	state Exp;
branches;
next	1.3;

1.3
date	94.08.27.04.12.19;	author rjj;	state Exp;
branches;
next	1.2;

1.2
date	94.08.22.01.32.53;	author rjj;	state Exp;
branches;
next	1.1;

1.1
date	94.08.17.00.56.14;	author rjj;	state Exp;
branches;
next	;


desc
@Process this file with gnumake.
This is the file that users should place in their local directories
  when compiling iac++ programs that link to the IAH library or
  when developing routines for the IAH library.
@


1.5
log
@Corrected 'if' to 'ifeq'.
Moved and enhanced comments related to 'ifeq' code.
@
text
@# GNUmakefile          Section: Chp#,Sec#
#      Copyright 1994, Center for Computer Vision and Visualization,
#      University of Florida.  All rights reserved.
#
# See comments in  gnumake.iah for description of symbols.

#######################################################################
# Modify the following symbols to control compilation
#######################################################################

#LOCALIACCVERSION	= iac++
#LOCALIAHVERSION	=
BLASTABLE_PTFILES	=
CLOSUREOBJS		=

HEADERS	=
LOBJS	=

SOURCES	=
TESTS	= 

ARL		=
EXTRAINCLUDES	=
CPPFLAGS	=

OUTPUT_OPTION	=
TARGET_ARCH	=
XTRAFLAGS	=
XTRACCFLAGS	=

# Make this nothing if you do not want programs stripped.
STRIPPROGRAMS = anystring-means-strip--no-string-means-do-not-strip

#######################################################################
include ../../gnumake.iah
#######################################################################

#######################################################################
#####	User program dependencies and rules follow
#######################################################################

ifeq (${LIBTEST},)

# local test stuff, *without* library support, goes here

# sobel_edge: sobel_edge.o sobel_edge2.o
#	${LINK.cc} -o $@@ $@@.o sobel_edge2.o ${LDLIBS}
#	strip $@@

else

# Assume libiah.a is available here.
# Ususally use this area to make the linke between the test program's
#	.o file and its source file

#sobel_edge.o:	sobel_edge.c

endif
@


1.4
log
@Corrected the spelling of 'stripped'.
Added support framework for local and library testing.
@
text
@d42 1
a42 1
# Use the following approach when you need to specify the .o files for a target
d44 1
a44 4
# sobel_edge: sobel_edge1.o sobel_edge2.o
#	$(LINK.cc) -o sobel_edge sobel_edge.o sobel_edge2.o $(LDLIBS)

if (${LIBTEST},)
d46 3
a48 1
# local test stuff, *without* library support, goes here
d53 2
a54 2
# Ususally use this area to just link the test program, assuming
#	the algorithm object file is in the library.
d56 2
a58 1

@


1.3
log
@This is the new standard for GNUmakefile for algorithms
  to be developed for the IAH.  A readonly copy should live in
  the IAH-src root dir, which may be copied by developers of
  IAH library algorithms.
@
text
@d31 1
a31 1
# Make this nothing if you do not want programs striped.
d46 12
@


1.2
log
@Renamed to GNUmakefile.example because GNUmakefile in this directory
  is to be used to make the support code.
Changed so the IACC and IAH directories are defined by gnumake.iah
  and not by the GNUmakefile file.  This makes keeping track of which
  IACC library verison is the correct version to use easier because
  only gnumakefile.iah has to be modified.
@
text
@d1 4
a4 2
# Sample GNUMakefile to be used to compile the IAH algorithms.
# Initial revision
a10 1
TOP = /cis/homes/rjj/iacc/iah-src
d19 2
a20 1
SIMPLETESTS	=
a33 1

d35 1
a35 1
include ${TOP}/gnumake.iah
a46 5
HANDBOOK =

TESTS =

tests: $(TESTS)
@


1.1
log
@Initial revision
@
text
@d10 18
a27 2
#IACCVERSION = iac++
IACCVERSION = bleeding
a28 17
BLASTABLE_PTFILES =
CLOSUREOBJS       =

HEADERS =
LOBJS   =

SIMPLETESTS =

ARL =
EXTRAINCLUDES =
CPPFLAGS =

OUTPUT_OPTION =
TARGET_ARCH   =
XTRAFLAGS     =
XTRACCFLAGS   =

a33 1

a34 1

a36 2


a45 1

a48 1

@
